
Redmine - Defect #27126

Breadcrumbs and Drop-down List corrupted

2017-10-05 05:34 - Robin Corba

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.3.2

Description

Dear Redmine,

We have an issue with our current version of Redmine. We have about 50 different projects in our location installation, including

some plugins:

Environment:

  Redmine version                3.3.2.stable

  Ruby version                   2.1.2-p95 (2014-05-08) [x86_64-linux]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.11

  Mercurial                      1.4

  Git                            2.3.1

  Filesystem                     

Redmine plugins:

  plantuml_macro                 0.0.1

  redmine_wiki_extensions        0.7.0

  redmine_wiki_lists             0.0.8

  scrum                          0.16.2

 Since a day ago, we are having problems with our (sub)projects being re-arranged incorrectly in the breadcrumbs (top left corner)

and the drop-down list for project selection in the top-right corner. Please see attached file redmine-bug-breadcrumbs.png).

Even though in the settings page of "Project A" the information is correct (Project A is a subject of Projects, which is a subproject of

Development), in the breadcrumbs and drop-down list it shows that Project A is subproject of Development.

It also seems that when we want to move one (sub)project to a different level, many other projects get "moved" unwanted. Is there

some cache that needs to be cleared, or do we have some corrupted data in the database?

Thanks!

History

#1 - 2017-10-31 16:57 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please describe more details.

What do you expect and result?

#2 - 2017-11-01 18:15 - Robin Corba

Let's say I have to following project structure in my Redmine installation:

Development > Projects > Project A

However in the breadcrumbs in the top left corner, and the drop-down list it is like this:

Development > Project A

So, I want to move 'Project A' to become the subproject of 'Projects' however when I change the parent project to 'Projects' Redmine will make the
parent project 'Development' again, which is on level too high.

In some cases, we have the following structure:

Development > Projects > Project B

Development > Project A

Finance

If I move Project A to become a child of Projects, for some reason Project B is moved to a different project (for example Finance):

Development > Projects > Project A

Finance > Project B

I think there is a bug in the project movement.

#3 - 2017-12-01 13:30 - Toshi MARUYAMA

- Category deleted (UI)

Did you try bundle exec rails runner "Project.rebuild_tree!"?

Files

redmine-bug-breadcrumbs.png 51 KB 2017-10-05 Robin Corba

Powered by TCPDF (www.tcpdf.org)

2024-03-13 2/2

http://www.tcpdf.org

